# Game Server
This is the platform from which one can host any "game" that they have defined. It's a sandbox for simplistic multiplayer games(like chess, tic tac toe, othello, etc.).


## Ideas
* Simple websockets connection between server and "players"(clients)
* Clients need to
  * Authenticate (at a later point)
  * Describe the protocol of the game that they're going to play to the server, which then gets compared and informs the players if there's a mismatch
* Simple web interface(list) of all current games
* Developed protocols, which clients can use.

## TODOs
* Web server
  * [ ] Figure out some sort of identification that is not external IP(cuz that's dumb)
  * [ ] Hand it out
  * [ ] Start accepting requests to the websocket server ONLY to the users who have joined the game

* Websocket server
  * [ ] Ping players while waiting for people
  * Game creation
    * [ ] Rules exchange -> Have to think about that one lol
    * [ ] Game start

## Flowcharts
### Creation
![Game creation](media/game_creation.png)

### Preparation
![Game preparation](media/game_prep.png)

### In progress
![Game in progress](media/game_server.png)
